package org.ninjasoft.cryptoslam;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import org.ninjasoft.cryptoslam.ui.CryptoslamApplet;

public class App extends JFrame {
    private boolean initialized = false;
    CryptoslamApplet appletPane;
    
    public void initialize() {
        initializeGui();
        this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    }
    
    private void initializeGui() {
        if (initialized)
            return;
        initialized = true;
        this.setSize(600, 400);
        Dimension windowSize = this.getSize();
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        this.setLocation(screenSize.width/2 - windowSize.width/2, screenSize.height/2 - windowSize.height/2);
        Container pane = this.getContentPane();
        pane.setLayout(new BorderLayout());
        appletPane = new CryptoslamApplet();
        pane.add(appletPane, BorderLayout.CENTER);
        appletPane.init();
        appletPane.start();
    }
    
    public void dispose() {
        System.exit(0);
    }
    
    public void setVisible(boolean b) {
        initialize();
        super.setVisible(b);
    }

    
    public static void main(String[] args) {
        new App().setVisible(true);
    }
}
